import React, { Component } from 'react';
import PropTypes from 'prop-types';

/**
 *
 *
 * @class DefaultLeftTextCell
 * @extends {Component}
 */
class DefaultLeftTextCell extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }


  render() {
    let { sumResult } = this.props;
    return (
      <div className="default-left-text-root">
        <div className="default-left-text-name">
          <label>名称：</label>
          <label>{sumResult.eqpTemplate.name}</label>
        </div>
        <div className="default-left-text-sum">
          <label>设备数量：</label>
          <label style={{ color: '#345FAA' }}>{sumResult.count}</label>
        </div>
      </div>
    );
  }
}

DefaultLeftTextCell.propTypes = {
  sumResult: PropTypes.object
};

export default DefaultLeftTextCell;
